Update a client contact
Responses
-
Successfully updated the client contact.
-
Invalid request. See response body for details.
-
Unauthorized request. See response body for details.
-
Permission denied. See response body for details.
-
Client contact not found.
-
Optimistic concurrency check failed. The If-Match header is missing or it does not contain the version currently in the database.
-
Unknown error. See response body for details.
PATCH
/client-contacts/{clientContactId}
curl \
--request PATCH 'http://api.example.com/client-contacts/{clientContactId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"id":"string (UUID)","type":"string","companyName":"string","prefix":"string","firstName":"string","middleName":"string","lastName":"string","suffix":"string","endCode":"string","movingOut":"boolean","occupation":"string","principalBusiness":"string","addresses":[{"typeCode":"string","line1":"string","line2":"string","city":"string","provinceCode":"string","postalCode":"string","countryCode":"string"}],"phoneNumbers":[{"typeCode":"string","ext":"string","number":"string"}],"emailAddresses":[{"typeCode":"string","address":"string"}]}'
Request example
{
"id": "string (UUID)",
"type": "string",
"companyName": "string",
"prefix": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"suffix": "string",
"endCode": "string",
"movingOut": "boolean",
"occupation": "string",
"principalBusiness": "string",
"addresses": [
{
"typeCode": "string",
"line1": "string",
"line2": "string",
"city": "string",
"provinceCode": "string",
"postalCode": "string",
"countryCode": "string"
}
],
"phoneNumbers": [
{
"typeCode": "string",
"ext": "string",
"number": "string"
}
],
"emailAddresses": [
{
"typeCode": "string",
"address": "string"
}
]
}
Response examples (200)
{}
Response examples (404)
{
"code": 42,
"message": "string",
"details": [
"string"
]
}